Subject: Hawaii Star Online placement
From: "Merilee Kern" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Date: Tue, 21 Dec 2010 10:20:55 -0800

http://www.hawaiistar.com/2010/12/medicom/

Hawaii firm unveils digital medical wristband 
December 10, 2010 11:35 am 0 comments 

MEDICOM Wristband | Courtesy Photo

MEDICOM Technologies, Inc., a purveyor of technically advanced medical identification solutions, has introduced a multimedia-enabled interactive medical wristband. The device readily presents an individual's complete medical history to emergency treatment personnel in critical situations.

The first-of-its-kind, patent-pending MEDICOM Medical I.D. Wristband could be an industry game changer, boasting an array of audio, video and voice-driven health and entertainment features that the company says is unsurpassed in today's marketplace. All in a stylish wristband design.

Created for the 65 million Americans with chronic medical conditions requiring regular physicians' care, the computerized MEDICOM Medical I.D. Wristband is described as the first and only device with audio-visual capabilities that can store, display, edit, voice and transfer a patient's complete medical history in up to nine languages to first responders, EMT's, and hospital personnel in any emergency medical situation.

For non-emergency use in leisure time, consumers may also view photos or listen to songs, voice recordings, 20 FM radio stations, or watch movies via earphones that plug directly into the device.

With a touch of a button the wristband's graphic 1.5" LCD screen with digital display presents, in a scrolling fashion, comprehensive health data automatically pre-parsed into 14 intuitive files that may be individually selected, scrolled in either direction, and paused for easy viewing. The information can also be uploaded from the wristband to an ambulance lap top or hospital computer via a standard USB 2.0 cable connection.

"The medication scheduling file, for example, will help an ER doctor avoid administering contra-indicated medications and the patient from spending any excessive time in the hospital going through unnecessary and expensive diagnostic treatment," explains James Klink, founder and CEO of MEDICOM Technologies, Inc. "If the patient arrives at a hospital unconscious, the staff will have access to the individual's insurance information in another file to authorize admittance, and can also quickly find the patient's blood type, degree or class of medical disease, any special treatment requests the patient may have including process for resuscitation, organ donation, languages understood other than English, and basically any other data needed to effectively treat the specific patient."

Available in two styles - stainless steel or black leather - its fashion accessory design removes the stigma often associated with medical I.D. devices, thus encouraging more self-conscious and style-savvy adolescents and adults with chronic pre-existing medical conditions to wear one and have it at-the-ready when an emergency presents.

Also more affordable than other medical identification solutions on the market that charge recurring annual fees, the MEDICOM Medical I.D. Wristbands sell for an economical one-time charge of $125 for the stainless steel banded model or $115 for the leather banded model.

The company points out that other, lower-tech medical I.D. products do provide patient information as readily, requiring emergency or hospital personnel to spend precious minutes calling an 800-number for basic medical history and instruction, and presumes that there will be no problems with the I.D. number transfer, telephone connection, or the data access computer at that critical time.

"Our purpose with this medical I.D. innovation is to empower patients to be more aware of their personal health and better inform, alert, and facilitate the transfer of knowledge to EMTs and other first responders, physicians and hospital personnel," Klink continues. "Our device enables patients to receive the personalized emergency care that is needed relative to their specific chronic illness or advance directives. It also allows patients to get in and out of the hospital faster, safer, and less expensively. This results in fewer malpractice lawsuits, thereby reducing physician malpractice premiums and the expenses insurance companies pay out."

"Only a small percentage - a paltry 4% - of those with chronic illnesses and who should be wearing a medical identification device currently owns one," Klink notes. "With our solution being so feature rich, easy to use, and wearable as a bona-fide fashion accessory, we believe many more consumers will opt to safeguard their health and welfare in emergency medical situations."

How It Works

MEDICOM Wristband | Courtesy Photo

From any Internet-enabled computer, consumers may enter from 2GB to 8GB of vital medical, personal, and entertainment information via an intuitive Web site template, and then transfer the data to the MEDICOM Medical I.D. Wristband via a standard USB 2.0 cable/port connection.

The MEDICOM Medical I.D. Wristband will store and, at the touch of a button, instantly display a user's personal demographics; medical conditions; emergency contact information; all medications, dosages and times taken; advance directives and special treatment requests; x-ray disks and recent medical/lab results; medical/dental Insurance information; I.D. photo, allergies; physicians and pharmacy addresses and phone numbers; medical history including any diseases, surgeries, immunizations, etc.; as well as a miscellaneous folder to input medical appointments, notes, and virtually any additional medical information of note (charting & graphing, diet/exercise programs, Web favorites, etc).

Updates and edits to keep personal data current and accurate are also done at the push of a button. In addition, any medical data can be downloaded to the MEDICOM Medical I.D. Wristband from any physician's office, laboratory, medical or other relevant facility in the world via any Internet-enabled computer.

Klink concludes, "This device is critical to the millions of individuals in the United States alone with chronic medical conditions. Having such robust medical identification allows them to function with complete peace of mind in their everyday lives, providing immeasurable value."

About MEDICOM Technologies, Inc.

Based in Honolulu, Hawaii, MEDICOM Technologies, Inc. is a purveyor of technically advanced medical identification solutions. Its flagship, patent pending MEDICOM Medical I.D. Wristband presents a patient's complete medical history to emergency treatment personnel in critical situations. The company's first-of-its-kind medical identification solution offers a comprehensive array of audio, video and voice-driven health and entertainment features unsurpassed in today's marketplace in a stylish wristband design and at an affordable price point. Learn more online.